using System.Configuration;

namespace ynhtm.Theme.Configuration
{
    [ConfigurationCollection(typeof(UrlElement))]
    public class UrlElementCollection : ConfigurationElementCollection
    {
        protected override ConfigurationElement CreateNewElement()
        {
            return new UrlElement();
        }

        protected override object GetElementKey(ConfigurationElement element)
        {
            return ((UrlElement)element).Url;
        }
    }
}
